// TEST DATA
// Keyed by mocha test ID
// Python code for generating test data can be found in the matching jupyter notebook in folder `notebooks/`.

(function() {
  var DATA = {
    'convolutional.ZeroPadding2D.0': {
      input: {
        data: [
          -0.570441,
          -0.454673,
          -0.285321,
          0.237249,
          0.282682,
          0.428035,
          0.160547,
          -0.332203,
          0.546391,
          0.272735,
          0.010827,
          -0.763164,
          -0.442696,
          0.381948,
          -0.676994,
          0.753553,
          -0.031788,
          0.915329,
          -0.738844,
          0.269075,
          0.434091,
          0.991585,
          -0.944288,
          0.258834,
          0.162138,
          0.565201,
          -0.492094,
          0.170854,
          -0.139788,
          -0.710674
        ],
        shape: [3, 5, 2]
      },
      expected: {
        data: [
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          -0.570441,
          -0.454673,
          -0.285321,
          0.237249,
          0.282682,
          0.428035,
          0.160547,
          -0.332203,
          0.546391,
          0.272735,
          0,
          0,
          0,
          0,
          0.010827,
          -0.763164,
          -0.442696,
          0.381948,
          -0.676994,
          0.753553,
          -0.031788,
          0.915329,
          -0.738844,
          0.269075,
          0,
          0,
          0,
          0,
          0.434091,
          0.991585,
          -0.944288,
          0.258834,
          0.162138,
          0.565201,
          -0.492094,
          0.170854,
          -0.139788,
          -0.710674,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0
        ],
        shape: [5, 7, 2]
      }
    },
    'convolutional.ZeroPadding2D.1': {
      input: {
        data: [
          -0.570441,
          -0.454673,
          -0.285321,
          0.237249,
          0.282682,
          0.428035,
          0.160547,
          -0.332203,
          0.546391,
          0.272735,
          0.010827,
          -0.763164,
          -0.442696,
          0.381948,
          -0.676994,
          0.753553,
          -0.031788,
          0.915329,
          -0.738844,
          0.269075,
          0.434091,
          0.991585,
          -0.944288,
          0.258834,
          0.162138,
          0.565201,
          -0.492094,
          0.170854,
          -0.139788,
          -0.710674
        ],
        shape: [3, 5, 2]
      },
      expected: {
        data: [
          0,
          0,
          0,
          0,
          0,
          -0.570441,
          -0.454673,
          0,
          0,
          -0.285321,
          0.237249,
          0,
          0,
          0.282682,
          0.428035,
          0,
          0,
          0.160547,
          -0.332203,
          0,
          0,
          0.546391,
          0.272735,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0.010827,
          -0.763164,
          0,
          0,
          -0.442696,
          0.381948,
          0,
          0,
          -0.676994,
          0.753553,
          0,
          0,
          -0.031788,
          0.915329,
          0,
          0,
          -0.738844,
          0.269075,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0.434091,
          0.991585,
          0,
          0,
          -0.944288,
          0.258834,
          0,
          0,
          0.162138,
          0.565201,
          0,
          0,
          -0.492094,
          0.170854,
          0,
          0,
          -0.139788,
          -0.710674,
          0,
          0,
          0,
          0,
          0
        ],
        shape: [3, 7, 4]
      }
    },
    'convolutional.ZeroPadding2D.2': {
      input: {
        data: [
          -0.989173,
          -0.133618,
          -0.505338,
          0.023259,
          0.503982,
          -0.303769,
          -0.436321,
          0.793911,
          0.416102,
          0.806405,
          -0.098342,
          -0.738022,
          -0.982676,
          0.805073,
          0.741244,
          -0.941634,
          -0.253526,
          -0.136544,
          -0.295772,
          0.207565,
          -0.517246,
          -0.686963,
          -0.176235,
          -0.354111,
          -0.862411,
          -0.969822,
          0.200074,
          0.290718,
          -0.038623,
          0.294839,
          0.247968,
          0.557946,
          -0.455596,
          0.6624,
          0.879529,
          -0.466772,
          0.40423,
          0.213794,
          0.645662,
          -0.044634,
          -0.552595,
          0.771242,
          -0.131944,
          -0.172725,
          0.700856,
          -0.001994,
          0.606737,
          -0.593306
        ],
        shape: [2, 6, 4]
      },
      expected: {
        data: [
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          -0.989173,
          -0.133618,
          -0.505338,
          0.023259,
          0.503982,
          -0.303769,
          -0.436321,
          0.793911,
          0.416102,
          0.806405,
          -0.098342,
          -0.738022,
          -0.982676,
          0.805073,
          0.741244,
          -0.941634,
          -0.253526,
          -0.136544,
          -0.295772,
          0.207565,
          -0.517246,
          -0.686963,
          -0.176235,
          -0.354111,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          -0.862411,
          -0.969822,
          0.200074,
          0.290718,
          -0.038623,
          0.294839,
          0.247968,
          0.557946,
          -0.455596,
          0.6624,
          0.879529,
          -0.466772,
          0.40423,
          0.213794,
          0.645662,
          -0.044634,
          -0.552595,
          0.771242,
          -0.131944,
          -0.172725,
          0.700856,
          -0.001994,
          0.606737,
          -0.593306,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0
        ],
        shape: [8, 10, 4]
      }
    },
    'convolutional.ZeroPadding2D.3': {
      input: {
        data: [
          -0.989173,
          -0.133618,
          -0.505338,
          0.023259,
          0.503982,
          -0.303769,
          -0.436321,
          0.793911,
          0.416102,
          0.806405,
          -0.098342,
          -0.738022,
          -0.982676,
          0.805073,
          0.741244,
          -0.941634,
          -0.253526,
          -0.136544,
          -0.295772,
          0.207565,
          -0.517246,
          -0.686963,
          -0.176235,
          -0.354111,
          -0.862411,
          -0.969822,
          0.200074,
          0.290718,
          -0.038623,
          0.294839,
          0.247968,
          0.557946,
          -0.455596,
          0.6624,
          0.879529,
          -0.466772,
          0.40423,
          0.213794,
          0.645662,
          -0.044634,
          -0.552595,
          0.771242,
          -0.131944,
          -0.172725,
          0.700856,
          -0.001994,
          0.606737,
          -0.593306
        ],
        shape: [2, 6, 4]
      },
      expected: {
        data: [
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          -0.989173,
          -0.133618,
          -0.505338,
          0.023259,
          0,
          0,
          0,
          0,
          0.503982,
          -0.303769,
          -0.436321,
          0.793911,
          0,
          0,
          0,
          0,
          0.416102,
          0.806405,
          -0.098342,
          -0.738022,
          0,
          0,
          0,
          0,
          -0.982676,
          0.805073,
          0.741244,
          -0.941634,
          0,
          0,
          0,
          0,
          -0.253526,
          -0.136544,
          -0.295772,
          0.207565,
          0,
          0,
          0,
          0,
          -0.517246,
          -0.686963,
          -0.176235,
          -0.354111,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          -0.862411,
          -0.969822,
          0.200074,
          0.290718,
          0,
          0,
          0,
          0,
          -0.038623,
          0.294839,
          0.247968,
          0.557946,
          0,
          0,
          0,
          0,
          -0.455596,
          0.6624,
          0.879529,
          -0.466772,
          0,
          0,
          0,
          0,
          0.40423,
          0.213794,
          0.645662,
          -0.044634,
          0,
          0,
          0,
          0,
          -0.552595,
          0.771242,
          -0.131944,
          -0.172725,
          0,
          0,
          0,
          0,
          0.700856,
          -0.001994,
          0.606737,
          -0.593306,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0,
          0
        ],
        shape: [2, 12, 8]
      }
    }
  };

  window.TEST_DATA = Object.assign({}, window.TEST_DATA, DATA);
})();
